Package ghidra.app.plugin.assembler.sleigh.sem

# Class AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<RP extends AssemblyResolvedPatterns>

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<RP>,RP>
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<RP>

Direct Known Subclasses:
  `AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedPatternBuilder`

Enclosing class:
  `AbstractAssemblyResolutionFactory<RP extends AssemblyResolvedPatterns,BF extends AssemblyResolvedBackfill>`

public abstract static class AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<RP extends AssemblyResolvedPatterns> extends AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<RP>,RP>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<AssemblyResolvedBackfill>`
  `backfills`
  `protected Constructor`
  `cons`
  `protected AssemblyPatternBlock`
  `ctx`
  `protected Set<AssemblyResolvedPatterns>`
  `forbids`
  `protected AssemblyPatternBlock`
  `ins`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, description, right`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAssemblyResolvedPatternsBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFromDefault(DefaultAssemblyResolvedPatterns rp)`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `build, children, copyFromDefault, description, right, self`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cons

    protected Constructor cons

  - ### ins

    protected AssemblyPatternBlock ins

  - ### ctx

    protected AssemblyPatternBlock ctx

  - ### backfills

    protected Set<AssemblyResolvedBackfill> backfills

  - ### forbids

    protected Set<AssemblyResolvedPatterns> forbids

- ## Constructor Details

  - ### AbstractAssemblyResolvedPatternsBuilder

    public AbstractAssemblyResolvedPatternsBuilder()

- ## Method Details

  - ### copyFromDefault

    public void copyFromDefault(DefaultAssemblyResolvedPatterns rp)